:root {
    --elevation-0: 0px 0px 0px 0px rgba(0, 0, 0, 0.2),0 0 0 0 rgba(0, 0, 0, 0.14), 0px 0 0 0px rgba(0, 0, 0, 0.12);
    --elevation-1: 0px 1px 2px 0px rgba(0, 0, 0, 0.2), 0px 2px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
    --elevation-2: 0px 1px 4px -1px rgba(0, 0, 0, 0.2), 0px 2px 4px -1px rgba(0, 0, 0, 0.14), 0px 1px 6px -1px rgba(0, 0, 0, 0.12);
    --bg-blue-tonal:rgba(0,51,160, 0.5);
    --bg-light-blue-tonal:rgba(0,114,206, 0.3);
 --elevation-2-new: 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.20);
      --elevation-4-new: 0 1px 10px 0 rgba(0, 0, 0, 0.12), 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 2px 4px -1px rgba(0, 0, 0, 0.20);
      --elevation-6-new:0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 3px 5px -1px rgba(0, 0, 0, 0.20);
    
}

.btn-container {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 20px;
    padding: 10px 20px;
    margin-top: 8px;
}
.btn-wrapper{
    justify-content: space-between;
    align-items: stretch;
    flex-wrap: wrap;
    gap: 8px;
    padding: 16px 8px;
}
.btn--centered{
    justify-content: center;
    align-items: center;
}
.btn-container--left{
    align-items: flex-start;
     gap: 20px;
     padding: 10px 0px 10px 0;
 }
.btn {
    position: relative;
    display: flex;
    padding: 9px 24px;
    max-width: 400px;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    border: 1px solid transparent;
    font: var(--f-buttom-medium);
    box-shadow: var(--elevation-0);
    line-height: 20px;
    text-transform: uppercase;
    text-align: center;
    overflow: hidden;
    text-wrap: nowrap;
    line-break: nowrap;
    white-space: nowrap;
    text-overflow: ellipsis;
    cursor: pointer;
    gap: 8px;
    transition: 250ms;
    transition-timing-function: ease-in-out;
}


/* Tamaños */

.btn--f-small {
    font: var(--f-buttom-small) !important;
}

.btn--f-medium {
    font: var(--f-buttom-medium) !important;
}

.btn--f-large {
    font: var(--f-buttom-large) !important;
}

@media(min-width:800px) {
    .btn--f-small {
        font: var(--f-buttom-small-d) !important;
    }

    .btn--f-medium {
        font: var(--f-buttom-medium-d) !important;
    }

    .btn--f-large {
        font: var(--f-buttom-large-d) !important;
    }
}


form .btn{
    width: 100%;
}
.btn--elevated{
    box-shadow: var(--elevation-1);
}
.btn--outlined{
    background-color: transparent;
    border-color:initial;
}
.btn--text{
    background-color: transparent;
}
.btn--icon, .btn--icon.btn.icon {
    background-color: transparent;
    padding: 9px 24px;
    gap: 0;
}
.btn.icon {
    padding: 9px 24px 9px 16px;
}

.btn.icon::before {
    width: 18px;
    height: 18px;
    min-height: 18px;
    min-width: 18px;
    -webkit-mask-size: 100%;
    mask-size: 100%;
}

.btn:hover{
    opacity: 0.7;
}
.btn--elevated:hover {
    box-shadow: var(--elevation-2);
}
.btn.btn--filled:hover, .btn.btn--tonal:hover{
    box-shadow: var(--elevation-1);
}
.btn:focus {
    outline-offset: 2px;
    outline-width: 3px;
    box-shadow: var(--elevation-0);
    opacity: 0.9;
}

.btn--elevated:focus{
    box-shadow: var(--elevation-1);
}
.btn:active {
    box-shadow: var(--elevation-0);
}
.btn--elevated:active{
    box-shadow: var(--elevation-1);
}


.btn--primary{
    background-color: var(--primary-main);
    color: var(--primary-contrast); 
}
.btn--primary::before{
    background-color: var(--primary-contrast);
}
.btn--primary.btn--tonal{
    color: var(--dark-blue);
    background-color: var(--bg-blue-tonal);
}
.btn--primary.btn--tonal::before{
    background-color: var(--dark-blue);
}

.btn--primary.btn--text,.btn--primary.btn--outlined{
    background-color: transparent;
    color: var(--primary-main);
}
.btn--primary.btn--text::before,.btn--primary.btn--outlined::before, .btn--primary.btn--icon::before{
    background-color: var(--primary-main);
}

.btn--secondary{
    background-color: var(--secondary-main);
    color: var(--secondary-contrast);
}
.btn--secondary::before{
    background-color: var(--secondary-contrast);
}
.btn--secondary.btn--tonal{
    color: var(--dark-blue);
    background-color: var(--bg-light-blue-tonal);
}
.btn--secondary.btn--tonal::before{
    background-color: var(--dark-blue);
}
.btn--secondary.btn--text,.btn--secondary.btn--outlined{
    background-color: transparent;
    color: var(--secondary-main);
}
.btn--secondary.btn--text::before,.btn--secondary.btn--outlined::before, .btn--secondary.btn--icon::before{
    background-color: var(--secondary-main);
}

.btn--small{
    padding: 4px 4px;
    font-size:10px;
    line-height:110%;
    text-wrap: wrap;
    line-break: normal;
    white-space: normal;
}
.btn--small.box--third{
    width: calc(33% - 18.667px);
    min-width: 75px;
    margin: 0;
}
.btn:disabled,
.btn:disabled:hover,
.btn:disabled:focus {
    box-shadow: var(--elevation-0);
    color: var(--text-disabled);
    background-color: var(--actiondisabled-background);
    cursor: not-allowed;
    opacity: 0.9;
}
.btn.icon:disabled::before{
    background-color: var(--text-disabled);
}
.btn.btn--text:disabled, .btn.btn--outlined:disabled{
    background-color: transparent;
    box-shadow: var(--elevation-0);
}

.btn--inherit-text {
    background-color: var(--primary-contrast);
    color: var(--primary-main);
}

.btn--inherit-text::before {
    background-color: var(--primary-main);
}

.btn--inherit-text.btn--tonal {
    color: var(--bg-blue-tonal);
    background-color: var(--white);
}

.btn--inherit-text.btn--tonal::before {
    background-color: var(--white);
}

.btn--inherit-text.btn--text,
.btn--inherit-text.btn--outlined {
    background-color: transparent;
    color: var(--primary-contrast);
}

.btn--inherit-text.btn--text::before,
.btn--inherit-text.btn--outlined::before,
.btn--inherit-text.btn--icon::before {
    background-color: var(--primary-contrast);
}

.btn--question {
    position: relative;
    display: inline-flex; 
    padding: 6px 16px;     
    max-width: 100px;      
    justify-content: center;
    align-items: center;

    background: transparent !important;
    border: none !important;
    box-shadow: none;

    font: var(--f-buttom-small);
    line-height: 16px; 

    text-align: center;

    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;

    cursor: pointer;
    gap: 6px;             

    box-shadow: var(--elevation-0);
    transition: 250ms ease-in-out;
}

/*botones nuevos*/
/* bases */
.btn--primary-outline {
  position: relative;
  z-index: 0;
  background-color: transparent;
  border: 1.5px solid var(--bordercolor-btn-primary-outline);
  color: var(--primary);
  opacity: 1 !important;
}


/* size */
.btn--lg {
  padding: 12px 32px;
  font-size: 16px;
  height: 44px;
  font-weight: 400;
}

.btn--md {
  padding: 9px 24px;
  font-size: 16px;
  height: 40px;
  font-weight: 400;
}

.btn--sm {
  padding: 6px 16px;
  font-size: 16px;
  height: 32px;
  font-weight: 400;
}


/*hover */
.btn--primary-outline:not(:disabled) {
  background-color: transparent;
}

.btn--primary-outline:hover:not(:disabled) {
  background-color: var(--backgroundcolor-btn-primary-outline-focus);
  border-color: var(--bordercolor-btn-primary-outline-focus);
  color: var(--color-btn-primary-outline-focus);
}


/* focus */
.btn--primary-outline:focus-visible {
  outline: none;
  box-shadow: var(--shadow-btn-primary-outline-focus);
}

.btn--primary-outline:focus-visible:not(:disabled),
.btn--primary-outline:focus:not(:disabled) {
  outline: none;
  box-shadow: none;
  border-color: var(--bordercolor-btn-primary-outline);
  color: var(--primary);
}

.btn--primary-outline:focus-visible:not(:disabled)::after,
.btn--primary-outline:focus:not(:disabled)::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 10px;
  right: 10px;
  border-radius: 999px;
  background-color: var(--backgroundcolor-btn-primary-outline-focus-ring);
  z-index: -1;
}


/*active*/
.btn--primary-outline:active::after {
  content: none;
}

.btn--primary-outline:active:not(:disabled) {
  background-color: var(--backgroundcolor-btn-primary-outline-focus-ring-active);
  border-color: var(--bordercolor-btn-primary-outline-active);
  color: var(--primary);
}


/*disable*/
button.btn.btn--primary-outline:disabled,
button.btn.btn--primary-outline:disabled:hover,
button.btn.btn--primary-outline:disabled:focus {
  background-color: transparent;
  color: var(--color-btn-primary-outline-disabled);
  border-color: var(--bordercolor-btn-primary-outline-disabled);
  opacity: 1;
  box-shadow: none;
  cursor: not-allowed;
  appearance: none;
  -webkit-appearance: none;
}

/*primary*/

.btn--primary--new{
    background-color: var(--primary-main);
    color: var(--color-btn-primary);
    box-shadow: var(--elevation-2-new) !important;
}

/*hover*/
.btn--primary--new:hover:not(:disabled) {
  background-color: var(--background-borderColor-btn-primary);
  border-color: var(--background-borderColor-btn-primary);
  color: var(--color-btn-primary);
  box-shadow: var(--elevation-4-new) !important;
}

/* focus */
.btn--primary--new:focus-visible {
  outline: none;
  box-shadow: var(--elevation-6-new) !important;

}


.btn--primary--new:focus-visible:not(:disabled),
.btn--primary--new:focus:not(:disabled) {
  outline: none;
  color: var(--color-btn-primary);
}

.btn--primary--new:focus-visible:not(:disabled)::after,
.btn--primary--new:focus:not(:disabled)::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 10px;
  right: 10px;
  border-radius: 999px;
  background-color: var(--background-btn-primary-ring);
  color: var(--color-btn-primary) !important;
  z-index: -1;
}

/*active*/
.btn--primary--new:active::after {
  content: none;
}

.btn--primary--new:active:not(:disabled) {
  background-color: var(--primary-main);
  color: var(--color-btn-primary);
}

/*disable*/
button.btn.btn--primary--new:disabled,
button.btn.btn--primary--new:disabled:hover,
button.btn.btn--primary--new:disabled:focus {
  background-color: var(--background-btn-primary-disable);
  color: var(--color-btn-primary-disable);
  opacity: 1;
  box-shadow: none !important;
  cursor: not-allowed;
  appearance: none;
  -webkit-appearance: none;
}

/*secundary*/

.btn--secundary--new{
    background-color: var(--secondary);
    color: var(--color-btn-primary);
    box-shadow: var(--elevation-2-new) !important;
    border-radius:  24px;
}

/*hover*/
.btn--secundary--new:hover:not(:disabled) {
  background-color: var(--secondary-dark);
  color: var(--color-btn-primary);
  box-shadow: var(--elevation-4-new) !important;
}

/* focus */
.btn--secundary--new:focus-visible {
  outline: none;
   color: var(--color-btn-primary);
  box-shadow: var(--elevation-6) !important;

}


.btn--secundary--new:focus-visible:not(:disabled),
.btn--secundary--new:focus:not(:disabled) {
  outline: none;
  color: var(--color-btn-primary);
}

.btn--secundary--new:focus-visible:not(:disabled)::after,
.btn--secundary--new:focus:not(:disabled)::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 10px;
  right: 10px;
  border-radius: 999px;
  background-color: var(--background-btn-secundary-ring);
  color: var(--color-btn-primary) !important;
  z-index: -1;
}

/*active*/
.btn--secundary--new:active::after {
  content: none;
}

.btn--secundary--new:active:not(:disabled) {
  background-color: var(--primary-main);
  color: var(--color-btn-primary);
}

/*disable*/
button.btn.btn--secundary--new:disabled,
button.btn.btn--secundary--new:disabled:hover,
button.btn.btn--secundary--new:disabled:focus {
  background-color: var(--background-btn-primary-disable);
  color: var(--color-btn-primary-disable);
  opacity: 1;
  box-shadow: none !important;
  cursor: not-allowed;
  appearance: none;
  -webkit-appearance: none;
}

 .btn--hide{
      display: none !important;
    }